# Generated by Django 4.1.7 on 2023-03-04 11:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dept_name', models.CharField(max_length=48, unique=True)),
                ('home_unit', models.CharField(max_length=48)),
            ],
        ),
        migrations.CreateModel(
            name='WidgetUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.TextField(max_length=48)),
                ('middle_name', models.TextField(max_length=48)),
                ('last_name', models.TextField(max_length=48)),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='department', to='dashboard.department')),
            ],
        ),
    ]
